%define major	0
%define libname	%mklibname audec %{major}
%define devname	%mklibname audec -d

Name:		libaudec
Summary:	A library for reading and resampling audio files
Version:	0.3.4
Release:	%mkrel 1
License:	AGPLv3+ and GPLv3+
Group:		System/Libraries
URL:		https://git.sr.ht/~alextee/libaudec
Source0:	https://git.sr.ht/~alextee/libaudec/archive/v%{version}.tar.gz#/%{name}-v%{version}.tar.gz
Patch1:		libaudec-shared-lib.patch
BuildRequires:	meson
BuildRequires:	pkgconfig(samplerate)
BuildRequires:	pkgconfig(sndfile)

%description
Libaudec is a C library for reading and resampling audio files.

%package -n audec
Summary:	A tool for reading and resampling audio files
Group:		Sound/Utilities

%description -n audec
A tool for reading and resampling audio files.

%package -n %{libname}
Summary:	A library for reading and resampling audio files
Group:		System/Libraries

%description -n %{libname}
Libaudec is a C library for reading and resampling audio files.

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development libraries and headers for %{name}.

%prep
%autosetup -p1 -n %{name}-v%{version}

%build
%meson
%meson_build

%install
%meson_install

find %{buildroot} -name '*.a' -print -delete

%files -n audec
%{_bindir}/audec

%files -n %{libname}
%license COPYING*
%doc README*
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{devname}
%doc CHANGELOG*
%{_includedir}/audec/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/audec.pc


%changelog
* Mon Jan 30 2023 daviddavid <daviddavid> 0.3.4-1.mga9
+ Revision: 1937118
- new version: 0.3.4
- update Url and Source Url

* Fri Apr 01 2022 umeabot <umeabot> 0.2.4-2.mga9
+ Revision: 1838544
- Mageia 9 Mass Rebuild

* Sun Nov 01 2020 wally <wally> 0.2.4-1.mga8
+ Revision: 1641498
- imported package libaudec

